// Problem   : Vector
// Generator : Igor V. Burago

#include <cstdio>
#include <cstdlib>
#include <cmath>

using namespace std;

int Size;
int Low;
int High;
int Min = 0;
int Max = 1000000;
int Ones = 0;
unsigned Start;

int main(int argc, char *argv[])
{
  if (
    argc < 5 ||
    sscanf(argv[1], "%u", &Start) != 1 ||
    sscanf(argv[2], "%d", &Size) != 1 ||
    sscanf(argv[3], "%d", &Low) != 1 ||
    sscanf(argv[4], "%d", &High) != 1)
    return 1;
  if (
    argc > 6 &&
    (sscanf(argv[5], "%d", &Min) != 1 || sscanf(argv[6], "%d", &Max) != 1))
    return 1;
  if (argc > 7 && sscanf(argv[7], "%d", &Ones) != 1)
    return 1;

  if (abs(Ones) > Size)
    Ones = Size;

  srand(Start);

  printf("%d %d %d\n", Size, Low, High);
  if (Ones > 0)
    for (int Index = 0; Index < Ones; ++Index)
      printf("1 ");
  for (int Index = 0; Index < Size - abs(Ones); ++Index)
    printf("%d ", Min + rand() % (Max - Min + 1));
  if (Ones < 0)
    for (int Index = 0; Index < -Ones; ++Index)
      printf("1 ");

  return 0;
}
