// Problem   : Vector
// Generator : Igor V. Burago

#include <cstdio>

using namespace std;

int Size;
int Low;
int High;
int Start = 1;

int main(int argc, char *argv[])
{
  if (
    argc < 4 ||
    sscanf(argv[1], "%d", &Size) != 1 ||
    sscanf(argv[2], "%d", &Low) != 1 ||
    sscanf(argv[3], "%d", &High) != 1)
    return 1;
  if (argc > 4 && sscanf(argv[4], "%d", &Start) != 1)
    return 1;

  printf("%d %d %d\n", Size, Low, High);
  for (int Index = 0; Index < Size; ++Index)
    printf("%d ", (Start + Index) * (Start + Index));

  return 0;
}
