// Problem   : Vector
// Generator : Igor V. Burago

#include <cstdio>
#include <cstdlib>

using namespace std;

int Size;
int Low;
int High;
int MinSmall;
int MaxSmall;
int MinLarge;
int MaxLarge;
int MinStep = 1;
int MaxStep = 1;
unsigned Start;

int main(int argc, char *argv[])
{
  if (
    argc < 9 ||
    sscanf(argv[1], "%u", &Start) != 1 ||
    sscanf(argv[2], "%d", &Size) != 1 ||
    sscanf(argv[3], "%d", &Low) != 1 ||
    sscanf(argv[4], "%d", &High) != 1 ||
    sscanf(argv[5], "%d", &MinSmall) != 1 ||
    sscanf(argv[6], "%d", &MaxSmall) != 1 ||
    sscanf(argv[7], "%d", &MinLarge) != 1 ||
    sscanf(argv[8], "%d", &MaxLarge) != 1)
    return 1;
  if (
    argc > 10 &&
    (sscanf(argv[9], "%d", &MinStep) != 1 ||
    sscanf(argv[10], "%d", &MaxStep) != 1))
    return 1;

  srand(Start);

  printf("%d %d %d\n", Size, Low, High);
  int Count = 0;
  while (Count < Size)
  {
    printf("%d ", MinLarge + rand() % (MaxLarge - MinLarge + 1));
    if (++Count >= Size)
      break;
    int Step = MinStep + rand() % (MaxStep - MinStep + 1);
    for (int Length = 0; Length < Step; ++Length)
    {
      printf("%d ", MinSmall + rand() % (MaxSmall - MinSmall + 1));
      if (++Count >= Size)
        break;
    }
  }

  return 0;
}
